## amarok 2.4.0

=== debian/changelog ===
amarok (2:2.4.0-0ubuntu5.1) natty-proposed; urgency=low

  * Don't run dh_scour as it causes rendering bugs. (LP: #786192)

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 27 May 2011 11:26:33 +0200

amarok (2:2.4.0-0ubuntu5) natty; urgency=low

  * Add 15_mpris2_fix_wrong_status.diff from master, correctly update
    the playback status property
  * Add 16_mpris2_update_metadata.diff from Aurelien Gateau, notify the
    outside world of track changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Apr 2011 13:14:00 +0100

amarok (2:2.4.0-0ubuntu4) natty; urgency=low

  * Rebuild with libindicate-qt 0.2.5.91-0ubuntu2 to fix dependency

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Feb 2011 13:38:11 +0000

amarok (2:2.4.0-0ubuntu3) natty; urgency=low

  * Build against libindicate-qt 0.2.5.91 for soname transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Feb 2011 18:00:24 +0000

amarok (2:2.4.0-0ubuntu2) natty; urgency=low

  * Restore ampache support. (LP: #706055)
    - Install libampache_account_login.so
  * Don't depend on phonon-backend, the phonon package already takes
    care of this.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 23 Jan 2011 13:36:38 +0100

amarok (2:2.4.0-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Adapt patches to new upstream version.
  * Reactivate mysqle_amarok_local_errmsg_feature.diff.
  * Drop kubuntu/11_soundmenu_mpris2.0.diff, merged upstream.
  * Drop kubuntu/13_arm_compile.diff, merged upstream.
  * Add kubuntu/14_soundmenu_fix_desktop_file_path.diff to fix Amarok not
    registering with the sound indicator menu. (LP: #693316)

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 12 Jan 2011 01:10:22 +0100

amarok (2:2.3.90-0ubuntu2) natty; urgency=low

  * Add kubuntu/13_arm_compile.diff to fix compile on ARM

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Dec 2010 16:25:23 +0000

amarok (2:2.3.90-0ubuntu1) natty; urgency=low

  * New upstream beta release
  * Disable mysqle_amarok_local_errmsg_feature.diff, files gone
  * Disable kubuntu/11_soundmenu_mpris2.0.diff no longer applies
  * Remove kubuntu/13_validate_xml.diff now upstream
  * Remove kubuntu/14_initial_applet_size.diff upstream
  * No not add build-dep on libofa0-dev, this requires libavcodecs which
    can not go on the CD

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 06 Dec 2010 18:04:33 +0000

amarok (2:2.3.2-0ubuntu6) natty; urgency=low

  * In 03_restricted_install.diff install gstreamer instead of xine
    plugin

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Nov 2010 16:53:57 +0000

amarok (2:2.3.2-0ubuntu5) natty; urgency=low

  * Rebuild against kdelibs5-dev 4.5.2a-0ubuntu2 for libkutils4 transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 22 Oct 2010 07:15:54 +0200
