## amarok 2.4.1

=== debian/changelog ===
amarok (2.4.1-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * No source changes needed.

 -- Modestas Vainius <modax@debian.org>  Wed, 01 Jun 2011 15:44:19 +0300

amarok (2.4.1-1) unstable; urgency=low

  * New upstream release.
  * No longer recommend phonon-backend-xine. Stick to what phonon metapackage
    depends on.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Drop backport_fix_plugin_version.diff, it was backported from upstream.
  * Call dh in compat=8 compliant way.

 -- Modestas Vainius <modax@debian.org>  Sun, 08 May 2011 00:21:26 +0300

amarok (2.4.1~beta1-1) experimental; urgency=low

  * New upstream beta release.
  * Drop backport_mute_button_fix.diff - backported from upstream.
  * Build depend on libqjson-dev.
  * Update install files.
  * Override amarok: embedded-library ... : libmysqlclient.
  * Backport a patch as recommended by upstream to fix plugin version
    (backport_fix_plugin_version.diff).

 -- Modestas Vainius <modax@debian.org>  Sun, 20 Mar 2011 17:50:14 +0200

amarok (2.4.0-2) unstable; urgency=low

  * Make amarok-dbg suggest libqtwebkit4-dbg.
  * Build depend on libqtwebkit-dev | libqt4-dev (<< 4:4.7.0). Closes: #618209
  * Backport backport_mute_button_fix.diff patch to really fix mute button.
    (Closes: #600159)

 -- Modestas Vainius <modax@debian.org>  Sun, 20 Mar 2011 16:00:14 +0200

amarok (2.4.0-1) unstable; urgency=low

  * New upstream release:
    - unmute should work properly. (Closes: #600159)
  * Remove patches previously backported from upstream:
    - backport_FLAC_BPM_tags_fix.diff;
    - 0001-Re-add-some-tests-for-unprintable-but-also-invalid-c.patch.
  * Refresh debian_disable_qtscriptbindings_check_fix.diff patch.
  * Adapt debian_mysqle_amarok_local_errmsg_feature.diff to upstream changes.
  * Build depend on libavformat-dev (>= 4:0.5).
  * Update install files.
  * Build depend on libofa0-dev.
  * Update lintian-overrides.
  * Add mysql-server-core-5.1 as a preferred alternative to mysql-server-5.1 in
    Build-Depends-Indep.

 -- Modestas Vainius <modax@debian.org>  Fri, 14 Jan 2011 22:39:04 +0200

amarok (2.3.2-2) experimental; urgency=low

  * Backport 0001-Re-add-some-tests-for-unprintable-but-also-invalid-c.patch
    as per upstream suggestion in order to fix problems in the collection
    scanner emitting non-well-formed XML when unprintable characters are
    encountered in the tags of the audio files.

 -- Modestas Vainius <modax@debian.org>  Sat, 25 Sep 2010 13:02:26 +0300

amarok (2.3.2-1) experimental; urgency=low

  * New upstream release:
    - Amarok ships documentation now;
    - tray icon is back in non-KDE environments; (Closes: #587720, #572757)
    - solves a bunch of dynamic collection problems; (Closes: #539471)
    - fixes saving of last.fm account data outside kwallet; (Closes: #550890)
    - fixes crash when scanning media collection/library. (Closes: #585102)
  * Drop debian/mysql_no_openssl_fix.diff patch, the problem was fixed upstream
    differently.
  * Adapt debian/mysqle_amarok_local_errmsg_feature.diff patch to upstream
    changes.
  * Refresh disable_qtscriptbindings_check_fix.diff patch.
  * Move patches out of debian/ subdir and prefix their filenames with debian_
    instead.
  * Bump Standards-Version to 3.9.1: add Breaks next to Replaces for
    amarok-utils.
  * Backport FLAC BPM tag fix as requested by upstream (patch
    backport_FLAC_BPM_tags_fix.diff).
  * Bump libmtp-dev dependency to 1.0.0 (following upstream requirement).
  * Update install files.

 -- Modestas Vainius <modax@debian.org>  Tue, 21 Sep 2010 02:09:53 +0300
