=== src/services/gpodder/images/CMakeLists.txt ===
install(
        FILES
        mygpo.png
        DESTINATION ${DATA_INSTALL_DIR}/amarok/images
)
