=== debian/changelog ===
amarok (2:2.4.3-1ubuntu2) oneiric; urgency=low

  * Remove kubuntu_restricted_install.diff. Phonon-GStreamer (the default
    Phonon backend) handles plugin installation itself.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 16 Sep 2011 16:54:45 +0200

amarok (2:2.4.3-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Don't build-depend on libavformat-dev and libofa0-dev as libavcodec*
      is not allowed on cd images.
    - Don't compress amarok-dbg with bzip2 as pkg-kde-tools uses lzma for
      all packages.
    - Set KUBUNTU_DESKTOP_POT in debian/rules.
    - Add epoch "2:" to the version number.
    - Keep the following patches:
      + kubuntu/03_restricted_install.diff
      + kubuntu/07_dont_ask_music_dir.diff
  * Drop kubuntu/14_soundmenu_fix_desktop_file_path.diff and
    kubuntu/16_mpris2_update_metadata.diff, applied upstream.
  * Only install the documentation files that are actually used.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 01 Aug 2011 19:31:55 +0200

amarok (2.4.3-1) unstable; urgency=low

  * New upstream release.
  * Switch Vcs-* field to kde-extras repository. (Closes: #635292)
  * Drop backport_no_kwallet_prompt_on_track_change.patch and
    backport_arm_build_fix.patch - integrated upstream.
  * Add upstream_fix_lyrics_autorefresh_in_some_cases.patch to fix lyrics
    autorefresh in some cases.

 -- Modestas Vainius <modax@debian.org>  Sat, 30 Jul 2011 18:00:09 +0300

amarok (2.4.2-2) unstable; urgency=low

  * Fix FTBFS on armel (backport_arm_build_fix.patch).

 -- Modestas Vainius <modax@debian.org>  Sun, 24 Jul 2011 17:29:30 +0300

amarok (2.4.2-1) unstable; urgency=low

  * New upstream release.
  * Switch maintainer to Debian KDE Extras team, add myself to Uploaders,
    document committing/uploading rules in README.source.
  * Update documentation about Phonon backends in Amarok bug-presubj.
    (Closes: #629208)
  * Adapt debian_disable_qtscriptbindings_check_fix.diff to upstream changes.
  * Add ${perl:Depends} to amarok-common Depends.
  * Update install files.
  * Backport a patch to fix a bug which caused KWallet to prompt for a password
    on every track change (backport_no_kwallet_prompt_on_track_change.patch).
  * Override lintian "amarok: no-symbols-control-file".
  * Drop amarok-engine-xine (<< 2) and amarok-engine-yauap (<< 2) from amarok
    Conflicts. No longer relevant for stable.

 -- Modestas Vainius <modax@debian.org>  Sun, 24 Jul 2011 12:26:59 +0300

amarok (2.4.1-2) unstable; urgency=low

  * Build depend on kdelibs5-dev 4:4.5 and ship plugins for NFS and SMB
    collection support. (Closes: #620741)

 -- Modestas Vainius <modax@debian.org>  Wed, 01 Jun 2011 15:10:31 +0300

amarok (2:2.4.1-1ubuntu2) oneiric; urgency=low

  * Rebuild with scour disabled in pkg-kde-tools as it caused rendering
    bugs. (LP: #786192)

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 27 May 2011 10:17:43 +0200

amarok (2:2.4.1-1ubuntu1) oneiric; urgency=low

  [ Felix Geyer ]
  * Merge from Debian unstable, remaining changes:
    - Build-depend on GTK version of libgpod.
    - Don't build-depend on libavformat-dev and libofa0-dev as libavcodec*
      is not allowed on cd images.
    - Don't compress amarok-dbg with bzip2 as pkg-kde-tools uses lzma for
      all packages.
    - Set KUBUNTU_DESKTOP_POT in debian/rules. 
    - Keep the following patches:
      + kubuntu/03_restricted_install.diff
      + kubuntu/07_dont_ask_music_dir.diff
      + kubuntu/14_soundmenu_fix_desktop_file_path.diff
      + kubuntu/16_mpris2_update_metadata.diff
  * Drop kubuntu/10_soundmenu_support.diff, not needed anymore.
    - Drop libindicate-qt-dev from build-deps.
  * Drop kubuntu/12_appmenu_fix.diff, merged upstream.
  * Drop kubuntu/15_mpris2_fix_wrong_status.diff, fixed upstream.
  * Move all patches from patches/kubuntu/ to patches/ and remove the numbers
    in the filenames.

  [ Tarun Kumar Mall ]
  * kubuntu_restricted_install.diff: adapt to new upstream version.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 08 May 2011 17:15:57 +0200
