## amarok 2.5.0

=== debian/changelog ===
amarok (2.5.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * This version of amarok requires kdelibs 4.6, bump build dependency.
  * Bump compat to 9 in order to get automatic build flags handling.
  * Ship Russian documentation translations.
  * Add debian_find_mysql_fix.diff patch to fix MySQL detection at cmake stage.
  * Update install files.
  * Compress amarok-dbg package with xz.
  * Fix doc/nl build with kdelibs 4.6 (patch debian_fix_doc_nl_build.diff).

 -- Modestas Vainius <modax@debian.org>  Mon, 26 Dec 2011 14:04:49 +0200
