=== debian/control ===
--- 
+++ 
@@ -1,26 +1,24 @@
 Source: amarok
 Section: sound
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
-Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
+Build-Depends: debhelper (>= 8.9), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
  libtag1-dev (>= 1.6-2~), libtag-extras-dev (>= 1.0.1),
  libqtwebkit-dev | libqt4-dev (<< 4:4.7.0),
- kdelibs5-dev (>= 4:4.5), libsoprano-dev (>= 2.1.67),
+ kdelibs5-dev (>= 4:4.6), libsoprano-dev (>= 2.1.67),
  libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
  libnjb-dev, libifp-dev, libmtp-dev (>= 1.0.0), libqjson-dev,
  libglib2.0-dev, libgpod-nogtk-dev (>= 0.7.0) | libgpod-dev (>= 0.7.0),
  libmysqld-pic (>= 5.1.36-2), libwrap0-dev,
  libqt4-opengl-dev, libcurl4-gnutls-dev, libxml2-dev, libloudmouth1-dev,
- libgtk2.0-dev, kdemultimedia-dev (>= 4:4.2.0), libqca2-dev, liblastfm-dev (>= 0.3)
+ libgtk2.0-dev, kdemultimedia-dev (>= 4:4.2.0), libqca2-dev, liblastfm-dev (>= 0.3),
+ libavformat-dev (>= 4:0.5), libofa0-dev
 Build-Depends-Indep: mysql-server-core-5.1 | mysql-server-5.1
 Standards-Version: 3.9.2
 Homepage: http://amarok.kde.org
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/amarok
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/amarok
-XS-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/amarok.git
-XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/amarok.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/amarok.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/amarok.git
 
 Package: amarok
 Architecture: any
