=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	dh_makeshlibs "-Xusr/lib/kde4/*"
 
 override_dh_builddeb:
-	dh_builddeb -pamarok-dbg -- -Zbzip2
+	dh_builddeb -pamarok-dbg -- -Zxz
 	dh_builddeb --remaining-packages
 
 %:
